import { httpPost } from '@/utils/http'

export interface FinancialInfo {
  totalBalance?: number // 总额
  availableBalance?: number // 可用余额
  totalProfitPerHour?: number // 产币总收益
  profitPerHour?: number // 每小时收益
  taskRewards?: number // 任务奖励
  teamSharing?: number // 团队收益
  shareRewards?: number // 邀请奖励
  resourcePlacement?: number // 空投
  moneyBalance?: number // 真实货币余额
}

// 获取钱包信息
export const getWalletInfo = () => {
  return httpPost<FinancialInfo>('/app/wallet/getWalletInfo')
}
