// 全局要用的类型放到这里

export type IResData<T> = {
  code: number
  msg: string
  data: T
}

// uni.uploadFile文件上传参数
type IUniUploadFileOptions = {
  file?: File
  files?: UniApp.UploadFileOptionFiles[]
  filePath?: string
  name?: string
  formData?: any
}

export type IUserInfo = {
  nickname?: string
  avatar?: string
  openid?: string
  coin_address?: string
  scene?: string
  terminal?: string
  share_code?: string
  firstName: string
  id: string | number
  languageCode: string
  lastName: string
  username: string
  token?: string
  userGroup?: any
  age_limit?: string
  photoUrl?: string
}

enum TestEnum {
  A = 'a',
  B = 'b',
}
