# 注意事项

> 文件夹名字必须为 `locale`, 这是 `uniapp` 官方约定的，如果改为别的，标题将不能正常切换多语言（其他内容还是正常）。
>
> `xxx.json` 的 `xxx` 多语言标识必须与 `uniapp` 官方约定的一致，否则也会出现 BUG。
>
> 查看截图 `screenshots/i18n.png`。

## 参考文档

[uniapp 国际化开发指南](https://uniapp.dcloud.net.cn/tutorial/i18n.html)
[uniapp 国际化-注意事项](https://uniapp.dcloud.net.cn/app/ui/locale.html#onlocalechange) 最下面的注意事项
